Package relaxngcc.codedom

# Interface CDStatement

All Known Implementing Classes:
  `CDAssignStatement`, `CDBlock`, `CDExpressionStatement`, `CDIfStatement`, `CDLanguageSpecificString`, `CDObjectCreateExpression`, `CDReturnStatement`, `CDSwitchStatement`, `CDVariable`

public interface CDStatement
Abstract statement of programming languages.

Author:
  Daisuke OKAJIMA

## Method Summary

Modifier and Type
Method
Description
`void`
`state(CDFormatter f)`
Prints itself as a statement.

## Method Details

### state

void state(CDFormatter f) throws IOException
Prints itself as a statement.

Throws:
  `IOException`